<!--
title: Отправка информации о багах
description: Как и где докладывать о багах
published: true
date: 2020-12-12T19:44:04.176Z
tags: bugs, баги, ошибки, проблемы
editor: ckeditor
dateCreated: 2020-12-12T19:44:02.163Z
-->

<p>Отчеты об ошибках это одна из тех вещей, которая помогает разработчикам улучшить их программное обеспечение. Вкратце, вот несколько вещей для рассмотрения при появлении багов:</p>
<ul>
  <li>О каком виде бага вы сообщаете?</li>
  <li>Есть ли у вас какой-то лог, запись, скриншот произошедшего? Что-то вроде “Экран становится черным” сложно поддается разрешению без правильно поданной информации об обстоятельствах (вроде характеристик, сообщений об ошибках и т.д.).</li>
  <li>Проблема связана с Garuda или проблема вызвана багом в используемом ПО? Если есть проблемы с отдельной версией ПО в Garuda единственным решением скорее всего будет сообщить о проблеме на баг трекере ПО (вроде Gitlab). Если проблема связана с специфичными настройками Garuda о ней можно сообщить на нашем Форуме с соответствующей фоновой информацией (смотрите ниже).</li>
  <li>Сделайте быстрый поиск по вашей проблеме прежде чем постить отчет об ошибке или открывать новую тему. Иногда информация по решению проблемы уже доступна, что сохраняет время вам и нам.</li>
</ul>
<p>&nbsp;</p>
<p>Так как же написать хороший отчет об ошибке?</p>
<ul>
  <li>Имейте при себе логи. Более длинные данные из терминала можно постить на наш <a href="https://bin.garudalinux.org/">PrivateBin</a> и ссылаться в треде чтобы избежать слишком большого размера и засорения поста. Скриншоты менее полезны чем текстовые данные, и их стоит избегать если ваша ошибка не графическая или какая-нибудь подобная.</li>
  <li>Включите в пост вывод команды “<strong>inxi</strong> -Fxxxza”. Это дает людям пытающимся решить ваши проблемы необходимую информацию об использованном оборудовании.</li>
  <li>Если вы включаете в пост данные из терминала, пожалуйста, используйте подходящий формат в вашем посте. Использование "~" 3 раза сверху и снизу от блока текста создаст читабельный, чистый вид.</li>
  <li>Будьте точны - старайтесь объяснить проблему в минимальном количестве слов но эффективно.</li>
  <li>Не собирайте несколько проблем даже если они кажутся похожими. Напишите отдельные отчеты о каждой проблеме.</li>
</ul>
<figure class="image image_resized" style="width:937px;"><img src="https://wiki.garudalinux.org/howto-bugreport-forum.png"></figure>
<p>Powered by <a href="https://wiki.js.org/">Wiki.js</a></p>
